Skip to content

Get a workflow version

GET
/v1/forms/{form}/workflow/versions/{version}
curl --request GET \
--url https://api.submeto.com/v1/forms/example/workflow/versions/1 \
--header 'Authorization: Bearer <token>'

Returns one immutable definition. Requires workflows:read.

form
required
string

The form ID.

version
required
integer

The version number.

Workflow version

Media typeapplication/json
object
data
object
id
string
workflow_id
string
version
integer
definition
object
schema_version
integer
nodes
array
edges
array
node_count
integer
estimated_min_cost
integer
estimated_max_cost
integer
restored_from_version_id
string
nullable
published_at
string
request_id
string
Example
{
"data": {
"id": "01JVERSION00000000000000002",
"workflow_id": "01JWORKFLOW0000000000000000",
"version": 2,
"definition": {
"schema_version": 1,
"nodes": [],
"edges": []
},
"node_count": 0,
"estimated_min_cost": 1,
"estimated_max_cost": 2,
"restored_from_version_id": null,
"published_at": "2026-09-03T09:10:00.000Z"
},
"request_id": "REQUEST_ID"
}